OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.EXT.BlendFuncSeparate

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBlendFuncSeparate :: MonadIO m => m Bool
- gl_EXT_blend_func_separate :: Bool
- gl_BLEND_DST_ALPHA_EXT :: GLenum
- gl_BLEND_DST_RGB_EXT :: GLenum
- gl_BLEND_SRC_ALPHA_EXT :: GLenum
- gl_BLEND_SRC_RGB_EXT :: GLenum
- glBlendFuncSeparateEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetEXTBlendFuncSeparate :: MonadIO m => m Bool

Is the EXT_blend_func_separate extension supported?

gl_EXT_blend_func_separate :: Bool

Is the EXT_blend_func_separate extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBlendFuncSeparate` in those cases instead.

# Enums

gl_BLEND_DST_ALPHA_EXT :: GLenum

gl_BLEND_DST_RGB_EXT :: GLenum

gl_BLEND_SRC_ALPHA_EXT :: GLenum

gl_BLEND_SRC_RGB_EXT :: GLenum

# Functions

glBlendFuncSeparateEXT

Arguments

:: MonadIO m |
=> GLenum | `sfactorRGB` of type `BlendFuncSeparateParameterEXT`.
-> GLenum | `dfactorRGB` of type `BlendFuncSeparateParameterEXT`.
-> GLenum | `sfactorAlpha` of type `BlendFuncSeparateParameterEXT`.
-> GLenum | `dfactorAlpha` of type `BlendFuncSeparateParameterEXT`.
-> m () |

This command is an alias for `glBlendFuncSeparate`.